// Copyright 2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Applications/OmniHTMLViewer/OHVDocumentFrameView.h,v 1.1 2000/05/28 22:08:48 kc Exp $

#import <AppKit/NSView.h>

@class OAScrollView;

#import <OmniHTML/OHDocumentFrameProtocol.h>
#import <OmniHTML/OHDocumentViewProtocol.h>

@interface OHVDocumentFrameView : NSView <OHDocumentFrame>
{
    OAScrollView *scrollView;
    NSView <OHDocumentView> *documentView;
}

- (void)setDocumentView:(NSView <OHDocumentView> *)newDocumentView;

@end
