// Copyright 2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Applications/OmniHTMLViewer/OHVDocument.h,v 1.1 2000/05/28 22:08:48 kc Exp $

#import <AppKit/NSDocument.h>

@class OHVDocumentFrameView;

#import <AppKit/NSNibDeclarations.h> // For IBOutlet, IBAction
#import <OWF/OWTargetProtocol.h>
#import <OmniHTML/OHDocumentProtocol.h>

@interface OHVDocument : NSDocument <OWTarget>
{
    IBOutlet OHVDocumentFrameView *documentFrameView;

    id <OHDocument> document;
}

// Actions
- (IBAction)reload:(id)sender;
- (IBAction)printDocument:(id)sender;

@end
